<?php


namespace JeroenED\Website\Repository;


use DateTime;
use GuzzleHttp\Client;
use JeroenED\Framework\Repository;
use phpseclib3\Crypt\PublicKeyLoader;
use phpseclib3\Net\SSH2;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

class Page
{
    private $root;
    public function __construct()
    {
        global $kernel;
        $this->root = $kernel->getCacheDir() . 'pages';
    }

    public function getPage(string $page)
    {
        $return['header'] = file_get_contents(strtolower($this->root . '/_main.md'));
        $titles = json_decode(file_get_contents($this->root . '/titles.json'), true);
        if(file_exists($this->root . '/' . $page . '.md')) {
            $return['title'] = $titles[$page] ?? '';
            $return['content'] = file_get_contents(strtolower($this->root . '/' . $page . '.md'));
            $return['status'] = '200';
        } else {
            throw new NotFoundHttpException();
        }
        return $return;
    }
}